Xcode Swift Issues (Flutter)

Hey

I’m looking to build my first app using flutter. I’m using a tutorial package from fireship (App Tour)

I have been running into issues with the sign in apple feature, as the dev package used is now discontinued (reference: chapter 29 on the above link).

Instead I’m going to be using this package- sign_in_with_apple | Flutter Package

Tried top set this up on Xcode and have a Apple Developer Account. In Flutter, when I press run main.dart, I been getting this message (posting a snippet of it)

Launching lib/main.dart on iPhone 12 Pro Max in debug mode…
Running Xcode build…
Xcode build done. 67.2s
Failed to build iOS app
Error output from Xcode build:

** BUILD FAILED **

Xcode’s output:

** ld: warning: Could not find or use auto-linked library ‘swiftSwiftOnoneSupport’**
** ld: warning: Could not find or use auto-linked library ‘swiftObjectiveC’**
** ld: warning: Could not find or use auto-linked library ‘swiftCoreFoundation’**
** ld: warning: Could not find or use auto-linked library ‘swiftCompatibility50’**
** ld: warning: Could not find or use auto-linked library ‘swiftDarwin’**
** ld: warning: Could not find or use auto-linked library ‘swiftUIKit’**
** ld: warning: Could not find or use auto-linked library ‘swiftQuartzCore’**
** ld: warning: Could not find or use auto-linked library ‘swiftCore’**
** ld: warning: Could not find or use auto-linked library ‘swiftCoreGraphics’**
** ld: warning: Could not find or use auto-linked library ‘swiftCompatibility51’**
** ld: warning: Could not find or use auto-linked library ‘swiftFoundation’**
** ld: warning: Could not find or use auto-linked library ‘swiftCoreImage’**
** ld: warning: Could not find or use auto-linked library ‘swiftCompatibilityDynamicReplacements’**
** ld: warning: Could not find or use auto-linked library ‘swiftMetal’**
** ld: warning: Could not find or use auto-linked library ‘swiftDispatch’**
** ld: warning: Could not find or use auto-linked library ‘swiftCoreMedia’**
** ld: warning: Could not find or use auto-linked library ‘swiftCoreAudio’**
** Undefined symbols for architecture x86_64:**

It seems to be an issue with Apple sign in capability or something but I’m stuck.

The author behind the package is working on updating it with another app developer but not sure when that is going to be done.

I would appreciate if someone can help me with this but understand that this is a complex issue.

I’m Using MacBook Pro 2012 mid and the version of Xcode is 12.4

Plus discovered I can’t get the latest version of Safari/Mac OS so won’t be able to get the latest Xcode which I believe is 13+

Thank you and have a nice day

Eddie